Subject: RE: [AAA-WG]: NASREQ-14: Interim vs. Start Stop record when Reuathentication/Re uathorization

From: "Fox, Dan" <[email-masked]>
Date: Thu, 4 Mar 2004 16:45:58 -0500

Dave,
 
I had mentioned on this list earlier that a STOP/START would be appropriate.  But I would agree that if there has been no change of authorization, then an INTERIM will suffice.
 
I just think that it is easier for back-end billing systems to simply process all STOP records as separate billing records that do not necessarily have to be correlated together with any other STOP or INTERIM records.
 
-Dan Fox
Starent Networks

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of Bernard Aboba
Sent: Thursday, March 04, 2004 11:56 AM
To: David Mitton
Cc: [email-masked]; Avi Lior
Subject: Re: [AAA-WG]: NASREQ-14: Interim vs. Start Stop record when Reuathentication/Re uathorization

> I disagree.  I would like to hear other points of view on this.

We encountered this issue in RFC 3576 due to addition of the dynamic
authorization capabilities.  However, I don't believe we clearly specified
what types of RADIUS accounting messages should be sent as a result of an
authorization change.

> A connection oriented service may not care about such changes, infact they
> may not be changes at all, just a re-affirmation of the intended and
> authorized service.
>
> Thus I don't think a START or a STOP is appropriate.

I would agree for a re-authentication.  However, I'm not so sure about a
change in authorizations.  This could have implications for rating.  At
least in RADIUS, there is typically an assumption that INTERIM records are
not retransmitted as aggressively.

> Would it be more acceptable, to some, if we create yet another Accounting
> Status-Type for (possible) Change-of-Service?

I think this could complicate the RADIUS/Diameter gateway functionality.
I'd prefer to make this work similarly in both RADIUS and DIAMETER.